using System;
using System.Collections.Generic;

namespace Dogs
{
    class Program
    {
        static void Main(string[] args)
        {
            List<Dog> dogs = new List<Dog>()
            {
                new Dog() { Breed = Breeds.Jamnik, Name = "Franz" },
                new Dog() { Breed = Breeds.Collie, Name = "Petunia" },
                new Dog() { Breed = Breeds.Mops, Name = "Porkchop" },
                new Dog() { Breed = Breeds.Jamnik, Name = "Brunhilda" },
                new Dog() { Breed = Breeds.Collie, Name = "Zippy" },
                new Dog() { Breed = Breeds.Corgi, Name = "Carrie" },
            };
            dogs.Sort();
            foreach (Dog dog in dogs)
                Console.WriteLine(dog);
        }
    }

}
